class XC_Titans expands XC_Engine_Actor;

event XC_Init()
{
	local Actor A;
	local class<Actor> LT, WT, XCLT, XCWT;

	if ( Level.NetMode == NM_ListenServer || Level.NetMode == NM_DedicatedServer )
	{
		log ( "> Has Been Initialized.",Self.Name );
		//Ensure minimum memory usage by avoiding static linking of packages
		LT = class<Actor>(class'XC_CoreStatics'.static.FindObject( "MonsterHunt.LavaTitan", class'Class'));
		if ( LT != None ) //LavaTitan is here
			XCLT = class<Actor>( DynamicLoadObject("XC_LavaTitan.XC_LavaTitan", class'Class', true) );
		if ( XCLT != None )
		{
			ForEach AllActors ( LT, A )
			{
				ReplaceFunction( LT, XCLT, 'SpawnRock', 'Tw_SpawnRock' );
				AddToPackageMap( string(XCLT.Outer.Name) );
				break;
			}
			XCLT = None;
		}
		WT = class<Actor>(class'XC_CoreStatics'.static.FindObject( "MonsterHunt.WaterTitan", class'Class'));
		if ( WT != None ) //LavaTitan is here
			XCWT = class<Actor>( DynamicLoadObject("XC_WaterTitan.XC_WaterTitan", class'Class', true) );
		if ( XCWT != None )
		{
			ForEach AllActors ( WT, A )
			{
				ReplaceFunction( WT, XCWT, 'SpawnRock', 'Tw_SpawnRock' );
				AddToPackageMap( string(XCWT.Outer.Name) );
				break;
			}
			XCWT = None;
		}
	}
}

defaultproperties
{
}
